# centos/sclo spec file for php-mcrypt
#
# Copyright (c) 2017-2018 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%if 0%{?scl:1}
%if "%{scl}" == "rh-php70"
%global sub_prefix sclo-php70-
%else
%global sub_prefix %{scl_prefix}
%endif
%scl_package        php-mcrypt
%else
%global pkg_name    %{name}
%endif

%global pecl_name  mcrypt
%global ini_name   20-%{pecl_name}.ini

Name:           %{?sub_prefix}php-%{pecl_name}
Summary:        Standard PHP module provides mcrypt library support
Version:        7.0.27
Release:        1%{?dist}
Source0:        http://www.php.net/distributions/php-%{version}.tar.xz

License:        PHP
Group:          Development/Languages
URL:            http://php.net/%{pecl_name}

BuildRequires:  %{?scl_prefix}php-devel >= 7.0.10
BuildRequires:  krb5-devel
BuildRequires:  openssl-devel
BuildRequires:  libmcrypt-devel

%if "%{?scl_prefix}" != "%{?sub_prefix}"
Provides:      %{?scl_prefix}php-%{pecl_name}          = %{version}-%{release}
Provides:      %{?scl_prefix}php-%{pecl_name}%{?_isa}  = %{version}-%{release}
%endif

Requires:       %{?scl_prefix}php(zend-abi) = %{php_zend_api}
Requires:       %{?scl_prefix}php(api) = %{php_core_api}


%description
The %{name} package contains a dynamic shared object that will add
support for using the mcrypt library to PHP.

WARNING: libmcrypt is a dead project,
use this extension for crytography at your own risk.

Package built for PHP %(%{__php} -r 'echo PHP_MAJOR_VERSION.".".PHP_MINOR_VERSION;')%{?scl: as Software Collection (%{scl} by %{?scl_vendor}%{!?scl_vendor:rh})}.


%prep
%setup -q -n php-%{version}

# Fix reported version
sed -e '/PHP_MCRYPT_VERSION/s/PHP_VERSION/"%{version}"/' \
    -i ext/%{pecl_name}/php_mcrypt.h

# Configuration file
cat << 'EOF' | tee %{ini_name}
; Enable %{pecl_name} extension module
extension=%{pecl_name}.so
EOF


%build
cd ext/%{pecl_name}

%{_bindir}/phpize
%configure \
    --with-mcrypt \
    --with-libdir=%{_lib} \
    --with-php-config=%{_bindir}/php-config

make %{?_smp_mflags}


%install
# Install the NTS stuff
make -C ext/%{pecl_name} install INSTALL_ROOT=%{buildroot}
install -D -m 644 %{ini_name} %{buildroot}%{php_inidir}/%{ini_name}


%check
cd ext/%{pecl_name}

# can load the module
%{_bindir}/php -n \
    -d extension=%{buildroot}%{php_extdir}/%{pecl_name}.so \
    -m | grep %{pecl_name}

# reported version from reflection
%{_bindir}/php -n \
    -d extension=%{buildroot}%{php_extdir}/%{pecl_name}.so \
    --re %{pecl_name} | grep %{version}

# Upstream test suite
export NO_INTERACTION=1
export REPORT_EXIT_STATUS=1
make test 


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%config(noreplace) %{php_inidir}/%{ini_name}
%{php_extdir}/%{pecl_name}.so


%changelog
* Thu Apr  5 2018 Remi Collet <remi@remirepo.net> - 7.0.27-1
- update to 7.0.27 for consistency (no change)

* Mon Oct 30 2017 Remi Collet <remi@remirepo.net> - 7.0.25-1
- Update to 7.0.25 for latest security fix

* Wed Mar  8 2017 Remi Collet <remi@remirepo.net> - 7.0.16-1
- initial package
- version 7.0.16 for security fix since 7.0.10

